Skip to main content
GET
/
recipients
cURL
curl --request GET \
  --url https://sandbox.onconsul.com/v1/recipients \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "email": "jsmith@example.com",
      "has_linked_entity": true,
      "id": "<string>",
      "total_paid_amount": "<string>",
      "business_name": {
        "company_name": "<string>"
      },
      "last_paid_at": "2023-11-07T05:31:56Z",
      "linked_entity_info": {
        "joined_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "type": "organization"
      },
      "nickname": "<string>",
      "personal_name": {
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "selected_kind": "individual"
    }
  ],
  "next_cursor": "<string>"
}
Returns a paginated list of recipients. Recipients are the people or businesses you send payouts to, each identified by an email address.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer<int64>
cursor
string

Response

OK

data
object[]
required
next_cursor
string